
StocksAndFisheriesKB - Task #23451

Please update the url of grsf-publisher service

May 31, 2022 06:18 PM - Luca Frosini

Status: Closed Start date: May 31, 2022

Priority: Normal Due date:  

Assignee: Yannis Marketakis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

We created a dedicated instance of the service for each VRE.

Here is the list of hosts and the corresponding VRE:

smart-grsfpre.d4science.org is serving FARM/GRSF_Pre

smart-grsf-admin.d4science.org is serving GRSF_Admin

smart-grsf-d4s.d4science.org is serving GRSF

You should already have the token of grsf.publisher user for each context which is not changed. Otherwise please contact me and I'll

send all of them again.

Related issues:

Blocks StocksAndFisheriesKB - Task #23452: Please publish all the records in ... Closed May 31, 2022

History

#1 - May 31, 2022 06:19 PM - Luca Frosini

- Blocks Task #23452: Please publish all the records in the GRSF public VRE added

#2 - Jun 02, 2022 08:22 AM - Yannis Marketakis

- Status changed from New to In Progress

Thanks @luca.frosini@isti.cnr.it 

I've just tried in GRSF-ADMIN and I encounter the following: 

{

    "id": null,

    "knowledge_base_id": null,

    "product_url": null,

    "error": "Error while performing a POST! Request url is:https://ckan-grsf-admin.d4science.org/api/3/action

/package_update  CkanResponse{error=Ckan error of type: Search Index Error  

message:Unable to add package to search index: Solr returned an error: (u'Solr responded with an error (HTTP 5

00): 

[Reason: Exception writing document id f43067cf2e9a7e5ad418918a1ac769be to the index; possible analysis error.

]',) 

 Other fields:{}, success=false, help=https://ckan-grsf-admin2.d4science.org/api/3/action/help_show?name=packa

ge_update}

CkanClient{catalogURL=https://ckan-grsf-admin.d4science.org, ckanToken=*****MASKED_TOKEN*******}"

}

#3 - Jun 02, 2022 09:32 AM - Yannis Marketakis

- File 4a510529-21dd-3cd9-a78c-ade4e15eee1f.json added

In GRSF public, some records were published, however we encounter other types of errors like the following: 

{

    "id": null,

    "knowledge_base_id": null,

    "product_url": null,

    "error": "Error while performing a POST! Request url is:https://ckan-grsf.d4science.org/api/3/action/packa

ge_create  CkanResponse{error=Ckan error of type: Search Index Error

message:Unable to add package to search index: Solr returned an error: (u'Solr responded with an error (HTTP 5

00):
[Reason: Exception writing document id fa222d9220bdd9f1f3d7fe6aca92897f to the index; possible analysis error.

]',)

Other fields:{}, success=false, help=https://ckan-grsf.d4science.org/api/3/action/help_show?name=package_creat

e}  

CkanClient{catalogURL=https://ckan-grsf.d4science.org, ckanToken=*****MASKED_TOKEN*******}"

}

 A json object that causes the aforementioned failure is attached

#4 - Jun 03, 2022 09:50 AM - Luca Frosini

Yannis Marketakis wrote in #note-3:

In GRSF public, some records were published, however we encounter other types of errors like the following: 

{

  "id": null,

  "knowledge_base_id": null,

  "product_url": null,

  "error": "Error while performing a POST! Request url is:https://ckan-grsf.d4science.org/api/3/action/pac

kage_create  CkanResponse{error=Ckan error of type: Search Index Error

message:Unable to add package to search index: Solr returned an error: (u'Solr responded with an error (HT

TP 500):

[Reason: Exception writing document id fa222d9220bdd9f1f3d7fe6aca92897f to the index; possible analysis er

ror.]',)

Other fields:{}, success=false, help=https://ckan-grsf.d4science.org/api/3/action/help_show?name=package_c

reate}  

CkanClient{catalogURL=https://ckan-grsf.d4science.org, ckanToken=*****MASKED_TOKEN*******}"

}

 A json object that causes the aforementioned failure is attached

 Yannis Marketakis wrote in #note-2:

Thanks @luca.frosini@isti.cnr.it 

I've just tried in GRSF-ADMIN and I encounter the following: 

{

  "id": null,

  "knowledge_base_id": null,

  "product_url": null,

  "error": "Error while performing a POST! Request url is:https://ckan-grsf-admin.d4science.org/api/3/acti

on/package_update  CkanResponse{error=Ckan error of type: Search Index Error  

message:Unable to add package to search index: Solr returned an error: (u'Solr responded with an error (HT

TP 500): 

[Reason: Exception writing document id f43067cf2e9a7e5ad418918a1ac769be to the index; possible analysis er

ror.]',) 

 Other fields:{}, success=false, help=https://ckan-grsf-admin2.d4science.org/api/3/action/help_show?name=p

ackage_update}

CkanClient{catalogURL=https://ckan-grsf-admin.d4science.org, ckanToken=*****MASKED_TOKEN*******}"

}

 

@francesco.mangiacrapa@isti.cnr.it can you investigate?

#6 - Jun 03, 2022 11:13 AM - Francesco Mangiacrapa

Hi all,

due to an unexpected restart on some SOLR machines, they are using a wrong configuration, we will fix them asap (this ticket is blocked by #23464)

#7 - Jun 03, 2022 12:23 PM - Francesco Mangiacrapa

Dear @marketak@ics.forth.gr,

we have just fixed the SOLR configuration of ckan-grsf and grsf-admin, can you retry the publishing? Thanks

#8 - Jun 03, 2022 02:54 PM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
Grazzie mille @francesco.mangiacrapa@isti.cnr.it and @luca.frosini@isti.cnr.it 

It works as expected.

Files

4a510529-21dd-3cd9-a78c-ade4e15eee1f.json 35.6 KB Jun 02, 2022 Yannis Marketakis
